=== modified file 'Makefile.am'
--- Makefile.am	2009-06-10 16:47:25 +0000
+++ Makefile.am	2009-07-11 06:24:19 +0000
@@ -75,6 +75,7 @@
 		client/my_readline.h \
 		drizzled/configmake.h \
 		mystrings/decimal.h \
+		mysys/dynamic_array.h \
 		mystrings/m_ctype.h \
 		mystrings/m_string.h \
 		mystrings/my_uctype.h \
@@ -120,13 +121,13 @@
 		mystrings/my_strtoll10.cc
 
 mysys_libmysys_la_SOURCES= \
-		mysys/array.cc \
 		mysys/base64.cc \
 		mysys/charset-def.cc \
 		mysys/charset.cc \
 		mysys/checksum.cc \
 		mysys/default.cc \
 		mysys/default_modify.cc \
+		mysys/dynamic_array.cc \
 		mysys/errors.cc \
 		mysys/hash.cc \
 		mysys/mf_arr_appstr.cc \

=== renamed file 'mysys/array.cc' => 'mysys/dynamic_array.cc'
=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2009-06-15 16:15:04 +0000
+++ mysys/my_sys.h	2009-07-11 06:24:19 +0000
@@ -220,14 +220,6 @@
   enum cache_type type;
 } RECORD_CACHE;
 
-typedef struct st_dynamic_array
-{
-  unsigned char *buffer;
-  size_t elements,max_element;
-  uint32_t alloc_increment;
-  uint32_t size_of_element;
-} DYNAMIC_ARRAY;
-
 
 typedef int (*qsort2_cmp)(const void *, const void *, const void *);
 
@@ -398,31 +390,8 @@
 void my_store_ptr(unsigned char *buff, size_t pack_length, my_off_t pos);
 my_off_t my_get_ptr(unsigned char *ptr, size_t pack_length);
 File create_temp_file(char *to, const char *dir, const char *pfx, myf MyFlags);
-#define my_init_dynamic_array(A,B,C,D) init_dynamic_array2(A,B,NULL,C,D)
-#define my_init_dynamic_array_ci(A,B,C,D) init_dynamic_array2(A,B,NULL,C,D)
-#define my_init_dynamic_array2(A,B,C,D,E) init_dynamic_array2(A,B,C,D,E)
-#define my_init_dynamic_array2_ci(A,B,C,D,E) init_dynamic_array2(A,B,C,D,E)
-extern bool init_dynamic_array2(DYNAMIC_ARRAY *array,uint32_t element_size,
-                                   void *init_buffer, uint32_t init_alloc,
-                                   uint32_t alloc_increment);
-/* init_dynamic_array() function is deprecated */
-extern bool init_dynamic_array(DYNAMIC_ARRAY *array,uint32_t element_size,
-                                  uint32_t init_alloc,uint32_t alloc_increment);
-extern bool insert_dynamic(DYNAMIC_ARRAY *array,unsigned char * element);
-extern unsigned char *alloc_dynamic(DYNAMIC_ARRAY *array);
-extern unsigned char *pop_dynamic(DYNAMIC_ARRAY*);
-extern bool set_dynamic(DYNAMIC_ARRAY *array,unsigned char * element,uint32_t array_index);
-extern bool allocate_dynamic(DYNAMIC_ARRAY *array, uint32_t max_elements);
-extern void get_dynamic(DYNAMIC_ARRAY *array,unsigned char * element,uint32_t array_index);
-extern void delete_dynamic(DYNAMIC_ARRAY *array);
-extern void delete_dynamic_element(DYNAMIC_ARRAY *array, uint32_t array_index);
-extern void freeze_size(DYNAMIC_ARRAY *array);
-extern int  get_index_dynamic(DYNAMIC_ARRAY *array, unsigned char * element);
-#define dynamic_array_ptr(array,array_index) ((array)->buffer+(array_index)*(array)->size_of_element)
-#define dynamic_element(array,array_index,type) ((type)((array)->buffer) +(array_index))
-#define push_dynamic(A,B) insert_dynamic((A),(B))
-#define reset_dynamic(array) ((array)->elements= 0)
-#define sort_dynamic(A,cmp) my_qsort((A)->buffer, (A)->elements, (A)->size_of_element, (cmp))
+
+#include <mysys/dynamic_array.h>
 
 #define alloc_root_inited(A) ((A)->min_malloc != 0)
 #define ALLOC_ROOT_MIN_BLOCK_SIZE (MALLOC_OVERHEAD + sizeof(USED_MEM) + 8)

